angular.module('starter.controllers')

.controller('EditAuditCtrl', ['$scope', '$http', '$ls', '$state', 'u', function($scope, $http, $ls, $state, u) {

	var audit_id = String($state.params.id);
	var audits = $ls.getArray('audits');

	$scope.currentLocation = u.getLocation();
	$scope.key = u.findAuditKey(audit_id);
	$scope.audit = audits[$scope.key];
	$scope.auditId = ($scope.audit.id) ? $scope.audit.id : $scope.audit.guid;
	$scope.template = u.findTemplate($scope.audit.audit_template_id);

	$scope.goToSection = function(tab) {
		if (u.isEastBaltBun($scope.currentLocation, $scope.template)) {
			$state.go('app.auditsection2', {id: audit_id, tabId: tab.id});
		} else {
			$state.go('app.auditsection', {id: audit_id, tabId: tab.id});
		}
	}

	$scope.goToImages = function() {
		$state.go('app.auditimages', {id: audit_id});
	}

	$scope.goToInfo = function() {
		$state.go('app.auditinfo', {id: audit_id});
	}

}]);