angular.module('starter').directive('refresher', function () {
  'use strict';

  return {
    restrict: 'E',
    templateUrl: 'templates/directive/refresher.html',
    controller: ['$rootScope', '$scope', 'sync', function ($rootScope, $scope, sync) {
      $scope.sync = function(){
        if ($rootScope.syncing === true) {
          return;
        }

        $rootScope.syncing = true;
        sync.sync().then(function(data){
          $rootScope.syncing = false;
        }, function() {
	        $rootScope.syncing = false;
        });
      }
    }]
  }
});
