angular.module('starter.controllers')

.controller('AuditSectionCtrl', ['$scope', '$http', '$ls', '$state', 'u', '$timeout', 'sync', function($scope, $http, $ls, $state, u, $timeout, sync) {

  var audit_id = String($state.params.id);
  var tab_id = String($state.params.tabId);
  var isLocal = false;

	function _init(reload) {
		var audits = $ls.getArray('audits');

		$scope.twoColumns = $ls.get('twoColumns');
		$scope.key = u.findAuditKey(audit_id);
		$scope.audit = audits[$scope.key];
		$scope.auditId = ($scope.audit.id) ? $scope.audit.id : $scope.audit.guid;
		$scope.template = u.findTemplate($scope.audit.audit_template_id);
		$scope.tab = u.findTab($scope.template, tab_id);
		$scope.showCol = 1;
		$scope.localAnswers = $ls.getObject('localAnswers');
		$scope.location = u.getLocation();


	  $scope.sectionInfo = {
	    audit: $scope.audit,
	    tab: $scope.tab,
	    template: $scope.template,
	    isLocal: isLocal
	  }

		if ($scope.audit && !$scope.audit.id) {
			isLocal = true;
		}

		if (!$scope.audit) {
			$state.go('app.audit');
			return;
		}
	}

	$scope.getAnswer = function(item_id) {
		return $scope.audit.answers[item_id];
	}

	$scope.updateAudit = function() {
		return;
		sync.updateAuditByKey($scope.audit, $scope.key);
	}

	$scope.updateAnswer = function(newAnswer, key) {
		return;
		$scope.$evalAsync(function($scope){
			$scope.answer = angular.copy(newAnswer);
			//$scope.audit.answers[key].answer = newAnswer.answer;
			sync.updateAuditByKey($scope.sectionInfo.audit, $scope.key);
		});
	}

	$scope.safeApply = function(fn) {
		var phase = this.$root.$$phase;
		if(phase == '$apply' || phase == '$digest') {
			if(fn && (typeof(fn) === 'function')) {
				fn();
			}
		} else {
			this.$apply(fn);
		}
	};

	$scope.$on('syncComplete', function() {
		$scope.safeApply(function () {
			_init(true);
		});
	});

	_init();

}]);