angular.module('starter.controllers')

.controller('LocationCtrl', ['$scope', '$http', '$ls', '$state', 'sync', '$ionicLoading', 'u', '$location', function($scope, $http, $ls, $state, sync, $ionicLoading, u, $location) {

  if (!$scope.$root.hasLocations) {
		$location.url('/app/audit');
  }

  $scope.currentLocation = u.getLocation();
  $scope.locations = $ls.getArray('locations');

  $scope.setLocation = function(location) {
    $scope.currentLocation = location;
    $ls.set('locationId', location.id);

    $state.go('app.audit');
  }

}]);